# Dandy

![Build](https://img.shields.io/github/actions/workflow/status/stratusadv/dandy/run_tests.yml)
![Python Versions](https://img.shields.io/pypi/pyversions/dandy)
![PyPI Version](https://img.shields.io/pypi/v/dandy)
![Downloads](https://img.shields.io/pypi/dm/dandy)

## Purpose

Make AI development as deterministic as possible while empowering the probabilistic nature of intelligence.

## Yet Another AI Framework?

Intelligence programming is a very different experience than conventional programming as it's very probabilistic.
Based on our experience most of the existing frameworks / libraries are designed to focus more on deterministic outcomes which is not realistic or in our opinion, or beneficial to developers. 

We created Dandy to focus on the flow and validation of data with your artificial intelligence systems to allow you to embrace the probabilistic nature of intelligence.

It's opinionated, simple and designed to be incredibly pythonic putting the project and developers first.
Our approach is to focus on batteries included with strong tooling to help build great interactions and lowering the barrier to entry.

## Getting Started

Check out our [website](https://dandysoftware.com) for documentation including tutorials, API reference, error handling and more.

<p align="center">
    <a href="https://dandysoftware.com">
        <img alt="Dandy Logo" src="https://dandysoftware.com/static/img/dandy_logo_512.png"/>
    </a>
</p>


